elasticsearch.url param point to host address when haproxy it is enabled

Bug #1570550 reported by Carlos Cesario on 2016-04-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kolla
Low
Unassigned

Bug Description

I think that is needed to check the Kibana config, because even with Haproxy service enabled, the config is not using VIP address, as expected in this case.

(haproxy)[root@kolla-control /]# cat /etc/haproxy/haproxy.cfg
....

userlist kibanauser
  user kibana insecure-password 0Aheijk4cmrGDdhllQ6eXrv8MxvbAEj3zDwzmUTS

listen kibana
  bind 192.168.201.100:5601
  acl auth_acl http_auth(kibanauser)
  http-request auth realm basicauth unless auth_acl
  server kolla-control 192.168.201.2:5601 check inter 2000 rise 2 fall 5

listen elasticsearch
  option dontlog-normal
  bind 192.168.201.100:9200
  server kolla-control 192.168.201.2:9200 check inter 2000 rise 2 fall 5

=================================================================================================

(kibana)[kibana@kolla-control /]$ cat /opt/kibana/config/kibana.yml
kibana.defaultAppId: "discover"
server.port: 5601
server.host: "192.168.201.2"
elasticsearch.url: "http://192.168.201.2:9200"
elasticsearch.requestTimeout: 300000
elasticsearch.shardTimeout: 0
elasticsearch.ssl.verify: False
bundled_plugin_ids:
 - plugins/dashboard/index
 - plugins/discover/index
 - plugins/doc/index
 - plugins/kibana/index
 - plugins/markdown_vis/index
 - plugins/metric_vis/index
 - plugins/settings/index
 - plugins/table_vis/index
 - plugins/vis_types/index
 - plugins/visualize/index

Hui Kang (huikang27) on 2016-04-15
Changed in kolla:
assignee: nobody → Carlos Cesario (ccesario)
status: New → Incomplete
Changed in kolla:
status: Incomplete → In Progress
Changed in kolla:
milestone: none → newton-1
importance: Undecided → Medium
Swapnil Kulkarni (coolsvap) wrote :

Hi Carlos,

Is there any update on this? Thanks

Swapnil

Changed in kolla:
milestone: newton-1 → newton-2
tags: added: retriage
Carlos Cesario (ccesario) wrote :

Hi Swapnil,

In my tests this problem still happen, but I have no idea where is the root cause.
Any help is welcome :)

-Carlos

Changed in kolla:
milestone: newton-2 → newton-3
Changed in kolla:
milestone: newton-3 → newton-rc1

Change abandoned by Mauricio Lima (<email address hidden>) on branch: master
Review: https://review.openstack.org/306443
Reason: no activity in 4 months

Changed in kolla:
milestone: newton-rc1 → newton-rc2
Steven Dake (sdake) on 2016-10-13
Changed in kolla:
milestone: newton-rc2 → newton-rc3
Steven Dake (sdake) on 2016-10-13
Changed in kolla:
milestone: newton-rc3 → ocata-1
Changed in kolla:
milestone: ocata-1 → ocata-2
Changed in kolla:
milestone: ocata-2 → ocata-3
Christian Berendt (berendt) wrote :

Is this still a problem?

Changed in kolla:
assignee: Carlos Cesario (ccesario) → nobody
importance: Medium → Low
status: In Progress → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers